Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7840/?format=api
{ "ob_id": 7840, "uuid": "86e6a1554abe156e982a9a0fc41c4b41", "title": "NCAVEO: UK-DMC optical imaging satellite data", "abstract": "The DMC constellation of small satellites provided several images to support the 2006 Network for Calibration and Validation of EO data (NCAVEO) 2006 Field Experiment. DMC is a unique sensor because of its combination of wide swath and high spatial resolution. The data was acquired from UK-DMC at 09:42:53 GMT on the 17th June and consists of three multispectral bands (green, red, near infra-red) with a nominal ground resolution of 32 m. The study area forms a very small part of the whole DMC image, which has a swath width of over 640 km. Other DMC data were obtained from satellites in the constellation operated by Algeria and Nigeria. The NigeriaSat-1 and UKDMC images were taken around the time of the campaign and the AlSAT image a month later. These files have not been geometrically referenced and vary in quality and amount of cloud cover. ", "keywords": "NCAVEO, DMC, OPTICAL", "publicationState": "published", "dataPublishedTime": "2007-10-16T22:49:28", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12663/?format=api", "dataPath": "/neodc/ncaveo_field/data/DMC", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2954288087, "numberOfFiles": 13, "fileFormat": "Data is in TIF format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2250/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5093/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32362/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32367/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32368/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32361/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32364/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32365/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32366/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32363/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/7847/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }